% mesh definition
l = 1; 
x = linspace(0, 1, 2^l+1);
statCond = 0;

AE   = [ones(1,2^(l-1))  ones(1,2^(l-1))*2];
c    = [ones(1,2^(l-1))  ones(1,2^(l-1))*2];
f    = [zeros(1,2^(l-1)) ones(1,2^(l-1))];
ue   = @(x)(0.07239949828543354449 *(x<=0.5).*sinh(x) + ...
	    0.28691771051730086128 *(x> 0.5).*sinh(x) + ...
	    -0.54254198840212697341*(x> 0.5).*cosh(x) + ...
	    0.5              *(x> 0.5));

P = [1:10];
for j=1:length(P)
  p = P(j);
  if ~statCond
    [u, q, K] = solvePWC(x, p, AE, c, f);
    % Square of energy norm
    E(j) = u' * q; 
  else
    [u, q, E(j)] = solvePWCStatCond(x, p, AE, c, f);
  end
  % Number of degrees of freedom
  N(j) = length(u);
end

xplot = linspace(0, 1, 401);
[uplot,xplot] = evaluateSolution(x, p, u, xplot);
plot(xplot, uplot, 'b-', xplot, ue(xplot), 'r-');
%plot(xplot, uplot-ue(xplot), 'g-')