% mesh definition
l = 1; 
x = linspace(0, 1, 2^l+1);

c    = 1;
AE  = [ones(1,2^(l-1))  ones(1,2^(l-1))*2];
f    = @(x)((x<=0.5).*sin(2*pi*x)*(pi^2*4 + 1) + ...
	    (x> 0.5).*sin(2*pi*x)*(pi^2*8 + 1)/2);
ue   = @(x)((x<=0.5).*sin(2*pi*x) + ...
	    (x> 0.5).*sin(2*pi*x)*0.5);
% exact square of energy norm
Ex = (pi^2*4 + 1)/4 + (pi^2*8 + 1)/16;

P = [1:10];clear E
for j=1:length(P)
  p = P(j);
  [u, q, K] = solvePWCQuad(x, p, AE, c, f);
  % Square of energy norm
  E(j) = u' * q;
  % Number of degrees of freedom
  N(j) = length(u);
end

xplot = linspace(0, 1, 401);
[uplot,xplot] = evaluateSolution(x, p, u, xplot);
plot(xplot, uplot, 'b-', xplot, ue(xplot), 'r-');
%plot(xplot, uplot-ue(xplot), 'g-');
