% refMass  returns the reference mass matrix
%
% function M = function(p)
%
% p   polynomial degree
% M   mass matrix
%
function M = refMass(p)

m = 3:p+1; 
g0 = [2/3 2/3 2./(2*m-1)./(2*m-5)];
g1 = [1/3 -1/sqrt(6) zeros(1,p-1)];
g2 = [-1/sqrt(6) -1/3/sqrt(10) ...
      -1./((2*m-1).*sqrt((2*m-3).*(2*m+1)))];
M = spdiags([g2' g1' g0' [0;g1(1:end-1)'] [0;0;g2(1:end-2)']], ...
	    [-2:2], p+1, p+1);
if p > 2
  M(1,4) = 1/3/sqrt(10);
  M(4,1) = 1/3/sqrt(10);      
end
    
return;
